---
# - Y-stream definitions

.rt_base:
  variables:
    TEST_PACKAGE_NAME_ARCHES: "kernel-rt-x86_64"
    TEST_PLAN_REPO: ""
    JOB_OWNER: "cyin"
    JOB_NOTIFY: "shichen cyin"
    POLARION_OWNER: "cyin"
    POLARION_CONFIG_MAP_FILE: Configs/rhel-rt.json
    JOB_SUBMITTER_PARMS: "--nightly --short-whiteboard"

.rt_tier1_ystream:
  extends: [.rt_base]
  variables:
    TEST_JOB_NAME: rt_tier1_ystream
    TEST_PLAN_NAME: "kernel-rt-t1"
    TEST_PACKAGE_NAME_ARCHES: "kernel-rt-x86_64 kernel-rt-debug-x86_64 kernel-rt-aarch64 kernel-rt-debug-aarch64 kernel-rt-64k-aarch64 kernel-rt-64k-debug-aarch64"
  rules:
    - !reference [.skip_without_package_arch_match]
    # for CKI MR builds, only run the kernel-rt pipeline (skip kernel-rt-debug)
    - if: $_BUILD_MR_URL == null
      when: always
    - if: $_BUILD_MR_URL && $TEST_PACKAGE_NAME_ARCH =~ /kernel-rt-x86_64/
      when: always

.rt_tier2_ystream:
  extends: [.rt_base]
  variables:
    TEST_JOB_NAME: rt_tier2_ystream
    TEST_PLAN_NAME: "kernel-rt-t2"
    JOB_SUBMITTER_PARMS: "--short-whiteboard"
    REPORT_POLARION: "1"

.rt_tier0_rtla:
  extends: [.rt_base]
  variables:
    TEST_JOB_NAME: rt_tier0_rtla
    TEST_PLAN_NAME: "kernel-rt-us RTLA"
    TEST_PACKAGE_NAME_ARCHES: "kernel-rt-x86_64"
    TEST_SOURCE_PACKAGE_NAME: kernel

.rt_tier0_rv:
  extends: [.rt_base]
  variables:
    TEST_JOB_NAME: rt_tier0_rv
    TEST_PLAN_NAME: "kernel-rt-us RT_RV"
    TEST_PACKAGE_NAME_ARCHES: "kernel-rt-x86_64"
    TEST_SOURCE_PACKAGE_NAME: kernel

.rt_tier2_us_integration_ystream:
  extends: [.rt_base]
  variables:
    TEST_JOB_NAME: rt_tier2_us_integration_ystream
    TEST_PACKAGE_NAME_ARCHES: <
      kernel-aarch64 kernel-ppc64le kernel-s390x  kernel-x86_64
    TEST_PLAN_NAME: "kernel-rt-us RT_US_INTEGRATION"
    JOB_SUBMITTER_PARMS: "--short-whiteboard"

# - Z-stream definitions

.rt_z_base:
  variables:
    TEST_JOB_NAME: rt_tier1_zstream
    TEST_PACKAGE_NAME_ARCHES: "kernel-rt-x86_64 kernel-rt-aarch64"
    ZSUBMIT_PARAMS: '--noduplicate'
    JOB_OWNER: "cyin"

# for standard delivery streams, submit tier 1 jobs
.rt_tier1_zstream_weekly_build:
  extends: [.rt_z_base]
  variables:
    ZSUBMIT_TIER: 'KT1 KT2 REG RT RT-SLOW KDUMP'

# for OCP streams, submit full tier 2 jobs
.rt_tier2_zstream_ocp_build:
  extends: [.rt_z_base]
  variables:
    TEST_JOB_NAME: rt_tier2_zstream
    ZSUBMIT_TIER: ''

# for Errata state change to QE, submit full tier 2 jobs
.rt_tier2_zstream_final_build:
  extends: [.rt_z_base]
  variables:
    TEST_JOB_NAME: rt_tier2_zstream
    ZSUBMIT_TIER: ''
